org.apache.cassandra.metrics

## Class SEPMetrics

- java.lang.Object
- - org.apache.cassandra.metrics.SEPMetrics

    public class SEPMetrics
    extends java.lang.Object

### Field Summary

Fields
`com.codahale.metrics.Gauge<java.lang.Integer>` `activeTasks` Number of active tasks.
`com.codahale.metrics.Gauge<java.lang.Long>` `completedTasks` Number of completed tasks.
`com.codahale.metrics.Counter` `currentBlocked` Number of tasks currently blocked, waiting to be accepted by the executor (because all threads are busy and the backing queue is full).
`com.codahale.metrics.Gauge<java.lang.Integer>` `maxPoolSize` Maximum number of threads before it will start queuing tasks
`com.codahale.metrics.Gauge<java.lang.Long>` `pendingTasks` Number of tasks waiting to be executed.
`com.codahale.metrics.Counter` `totalBlocked` Number of tasks that had blocked before being accepted (or rejected).

### Constructor Summary

Constructors
Constructor and Description
`SEPMetrics(SEPExecutor executor, java.lang.String path, java.lang.String poolName)` Create metrics for the given LowSignalExecutor.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `release()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### activeTasks

    public final com.codahale.metrics.Gauge<java.lang.Integer> activeTasks

Number of active tasks.

#### totalBlocked

    public final com.codahale.metrics.Counter totalBlocked

Number of tasks that had blocked before being accepted (or rejected).

#### currentBlocked

    public final com.codahale.metrics.Counter currentBlocked

Number of tasks currently blocked, waiting to be accepted by the executor (because all threads are busy and the backing queue is full).

#### completedTasks

    public final com.codahale.metrics.Gauge<java.lang.Long> completedTasks

Number of completed tasks.

#### pendingTasks

    public final com.codahale.metrics.Gauge<java.lang.Long> pendingTasks

Number of tasks waiting to be executed.

#### maxPoolSize

    public final com.codahale.metrics.Gauge<java.lang.Integer> maxPoolSize

Maximum number of threads before it will start queuing tasks

### Constructor Detail

#### SEPMetrics

    public SEPMetrics(SEPExecutor executor,
                      java.lang.String path,
                      java.lang.String poolName)

Create metrics for the given LowSignalExecutor.

Parameters:
  `executor` - Thread pool
  `path` - Type of thread pool
  `poolName` - Name of thread pool to identify metrics

### Method Detail

#### release

    public void release()